List secrets
curl --request GET \
--url https://api.gcore.com/cloud/v1/secrets/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/secrets/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/secrets/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"id": "bfc7824b-31b6-4a28-a0c4-7df137139215",
"name": "AES key",
"status": "ACTIVE",
"algorithm": "aes",
"bit_length": 256,
"content_types": {
"default": "application/octet-stream"
},
"created": "2023-03-23T20:00:00+00:00",
"expiration": "2023-06-23T20:00:00+00:00",
"mode": "cbc"
}
]
}Secrets
List secrets
GET
/
cloud
/
v1
/
secrets
/
{project_id}
/
{region_id}
List secrets
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I